Last modified: 2012-08-04 20:49:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17460 - PostgreSQL access layer fails to set the client encoding
PostgreSQL access layer fails to set the client encoding
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: utf8
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-02-12 11:16 UTC by Marcel Gsteiger
Modified: 2012-08-04 20:49 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Marcel Gsteiger 2009-02-12 11:16:04 UTC
Some PostgreSQL installations use UTF8 as default encoding for the database (as is required by MediaWiki), but the default client encoding is set to something different. MediaWiki should always enforce UTF8 after opening the database connection to avoid problems in this situation.

On recent PostgreSQL installations, this can easily be accomplished by applying the following patch to mediawiki/includes/db/DatabasePostgres.php:

187a188
>               $this->doQuery('SET client_encoding="UTF8"');
Comment 1 Alexandre Emsenhuber [IAlex] 2009-02-23 21:23:54 UTC
fixed in r47724.
Comment 2 David Bonnafous 2009-06-10 15:16:00 UTC
hi,

when the default encoding for the databse is not utf8, this patch introduce a bug, isn't it ?

I update to REL1_15_0 and I comment this line for my wiki to work.

Is it possible to test something before setting "client_encoding" ?

thank you.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links